	PROGRAM main
	 IMPLICIT NONE

	 REAL, DIMENSION(5)        :: A1

	 integer n;

	 print *, "shape(A1) = ", shape(A1)
	 print *, "size(A1)  = ", size(A1)

	 print *
	 print *, "shape(shape(A1)) = ", shape(shape(A1))

	 n = shape(size(A1))
	 print *, "shape(size(A1)) = ", n
	END
